com.aispeech.dui.dds.agent.wakeup.word

## Enum WakeupType

- java.lang.Object
- - java.lang.Enum<WakeupType>
  - - com.aispeech.dui.dds.agent.wakeup.word.WakeupType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WakeupType>

      public enum WakeupType
      extends java.lang.Enum<WakeupType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_COMMAND`
    `ADD_COMMAND_INCREMENT`
    `ADD_MAIN`
    `ADD_QUICKSTART`
    `ADD_SHORTCUT`
    `ADD_SHORTCUT_INCREMENT`
    `CLEAR_COMMAND`
    `CLEAR_MAIN`
    `CLEAR_QUICKSTART`
    `CLEAR_SHORTCUT`
    `REMOVE_COMMAND`
    `REMOVE_COMMAND_INCREMENT`
    `REMOVE_MAIN`
    `REMOVE_QUICKSTART`
    `REMOVE_SHORTCUT`
    `REMOVE_SHORTCUT_INCREMENT`
    `UPDATE_COMMAND`
    `UPDATE_COMMAND_INCREMENT`
    `UPDATE_MAIN`
    `UPDATE_MINOR`
    `UPDATE_QUICKSTART`
    `UPDATE_SHORTCUT`
    `UPDATE_SHORTCUT_INCREMENT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WakeupType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WakeupType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD_MAIN

          public static final WakeupType ADD_MAIN

    - #### REMOVE_MAIN

          public static final WakeupType REMOVE_MAIN

    - #### UPDATE_MAIN

          public static final WakeupType UPDATE_MAIN

    - #### CLEAR_MAIN

          public static final WakeupType CLEAR_MAIN

    - #### UPDATE_MINOR

          public static final WakeupType UPDATE_MINOR

    - #### ADD_COMMAND

          public static final WakeupType ADD_COMMAND

    - #### ADD_COMMAND_INCREMENT

          public static final WakeupType ADD_COMMAND_INCREMENT

    - #### REMOVE_COMMAND

          public static final WakeupType REMOVE_COMMAND

    - #### UPDATE_COMMAND

          public static final WakeupType UPDATE_COMMAND

    - #### UPDATE_COMMAND_INCREMENT

          public static final WakeupType UPDATE_COMMAND_INCREMENT

    - #### CLEAR_COMMAND

          public static final WakeupType CLEAR_COMMAND

    - #### REMOVE_COMMAND_INCREMENT

          public static final WakeupType REMOVE_COMMAND_INCREMENT

    - #### ADD_SHORTCUT

          public static final WakeupType ADD_SHORTCUT

    - #### ADD_SHORTCUT_INCREMENT

          public static final WakeupType ADD_SHORTCUT_INCREMENT

    - #### REMOVE_SHORTCUT

          public static final WakeupType REMOVE_SHORTCUT

    - #### UPDATE_SHORTCUT

          public static final WakeupType UPDATE_SHORTCUT

    - #### UPDATE_SHORTCUT_INCREMENT

          public static final WakeupType UPDATE_SHORTCUT_INCREMENT

    - #### CLEAR_SHORTCUT

          public static final WakeupType CLEAR_SHORTCUT

    - #### REMOVE_SHORTCUT_INCREMENT

          public static final WakeupType REMOVE_SHORTCUT_INCREMENT

    - #### ADD_QUICKSTART

          public static final WakeupType ADD_QUICKSTART

    - #### REMOVE_QUICKSTART

          public static final WakeupType REMOVE_QUICKSTART

    - #### UPDATE_QUICKSTART

          public static final WakeupType UPDATE_QUICKSTART

    - #### CLEAR_QUICKSTART

          public static final WakeupType CLEAR_QUICKSTART

  - ### Method Detail

    - #### values

          public static WakeupType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WakeupType c : WakeupType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WakeupType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null